Change log for ruby-standalone package in Ubuntu

115 of 15 results
Published in hirsute-proposed on 2020-11-23
ruby-standalone (2.7~5) unstable; urgency=medium

  * autopkgtest: bundler-integration: add needs-internet restriction
  * Rewrite standalone support to work with ruby-rubygems being installed, by
    not using it.

 -- Antonio Terceiro <email address hidden>  Mon, 23 Nov 2020 14:13:47 -0300

Available diffs

Published in hirsute-release on 2020-11-06
Deleted in hirsute-proposed (Reason: moved to Release)
ruby-standalone (2.7~4) unstable; urgency=medium

  [ C├ędric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * ruby-standalone wrapper: add `set -eu`
  * ruby-standalone wrapper: resist $USER being empty
  * Use backend implementation from rubygems-integration
  * Build manpage using ronn instead of pandoc

 -- Antonio Terceiro <email address hidden>  Sat, 12 Sep 2020 19:23:10 -0300

Available diffs

Superseded in hirsute-release on 2020-11-06
Published in groovy-release on 2020-05-25
Deleted in groovy-proposed (Reason: moved to Release)
ruby-standalone (2.7~3) unstable; urgency=medium

  * Provide binstubs for all binaries in rubyX.Y

 -- Antonio Terceiro <email address hidden>  Sun, 24 May 2020 18:02:12 -0300

Available diffs

Superseded in groovy-release on 2020-05-25
Published in focal-release on 2020-03-06
Deleted in focal-proposed (Reason: moved to Release)
ruby-standalone (2.7~2) unstable; urgency=medium

  * Fix last warning against ruby2.7

 -- Antonio Terceiro <email address hidden>  Sun, 01 Mar 2020 09:16:19 -0300

Available diffs

Superseded in focal-release on 2020-03-06
Deleted in focal-proposed on 2020-03-07 (Reason: moved to Release)
ruby-standalone (2.7~0) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * Avoid warnings about overridden methods being discarded
  * tests: Drop usage of deprecated ADTTMP variable
  * Vcs-*: point to salsa.debian.org
  * Bump Standard-Version to 4.5.0; no changes needed
  * debian/tests/control: make sure all tests have names
  * run-tests: tighten check for an installed ffi
  * tests: custom-rubyX.Y: allow output stderr on stderr

 -- Antonio Terceiro <email address hidden>  Thu, 06 Feb 2020 10:33:35 +0100

Available diffs

Superseded in focal-release on 2020-02-06
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2018-03-01
Deleted in bionic-proposed (Reason: moved to release)
ruby-standalone (2.5.0) unstable; urgency=medium

  * Create rubyX.Y symlink dynamically. This fixes a bug inserted by
    "Eliminate the need for rebuilds when switching default Ruby version",
    without reintroducing such need.

 -- Antonio Terceiro <email address hidden>  Mon, 26 Feb 2018 14:45:11 -0300
2.5
Superseded in bionic-proposed on 2018-02-28
ruby-standalone (2.5) unstable; urgency=medium

  * ruby.c: fix logic around newargv
  * Eliminate the need for rebuilds when switching default Ruby version
  * Bump Standards-Version to 4.1.3; no changes needed
  * Drop uneccessary Testsuite: field

 -- Antonio Terceiro <email address hidden>  Sun, 25 Feb 2018 15:13:55 -0300

Available diffs

Superseded in bionic-release on 2018-03-01
Deleted in bionic-proposed on 2018-03-02 (Reason: moved to release)
ruby-standalone (2.3.1.1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <email address hidden>  Thu, 01 Feb 2018 19:14:20 +0000
Superseded in bionic-release on 2018-02-02
Deleted in bionic-proposed on 2018-02-03 (Reason: moved to release)
ruby-standalone (2.3.1.1) unstable; urgency=medium

  * Makefile: actually make manpage reproducible
  * Bump Standards-Version to 4.0.0; no changes needed
  * Bump debhelper compatibility level to 10

 -- Antonio Terceiro <email address hidden>  Fri, 01 Sep 2017 20:20:06 -0300

Available diffs

Superseded in bionic-release on 2017-11-09
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2020-07-10 (Reason: moved to release)
ruby-standalone (2.3.1) unstable; urgency=medium

  * debian/rules: enable all hardening features
  * debian/control: Bump Standards-Version to 3.9.8; no changes needed

 -- Antonio Terceiro <email address hidden>  Tue, 26 Jul 2016 09:18:15 -0300

Available diffs

Superseded in yakkety-release on 2016-07-28
Deleted in yakkety-proposed on 2016-07-29 (Reason: moved to release)
ruby-standalone (2.3.0) unstable; urgency=medium

  * Drop rake binary as Ruby 2.3 does not bundle rake anymore. To use rake
    with Ruby 2.3 one needs to actually install it.
  * Dump Standards-Version: to 3.9.7, no changes needed

 -- Antonio Terceiro <email address hidden>  Thu, 03 Mar 2016 14:51:42 -0300

Available diffs

Superseded in yakkety-release on 2016-04-29
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
ruby-standalone (0.5.1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Make manpage reproducible (Closes: #792525)

 -- Antonio Terceiro <email address hidden>  Fri, 24 Jul 2015 13:02:25 -0300

Available diffs

0.5
Superseded in wily-release on 2015-07-25
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
ruby-standalone (0.5) unstable; urgency=medium


  * Force shebang of installed scripts to use the ruby from ruby-standalone

 -- Antonio Terceiro <email address hidden>  Wed, 10 Dec 2014 15:20:39 -0200

Available diffs

0.4
Superseded in vivid-release on 2014-12-11
Deleted in vivid-proposed on 2014-12-12 (Reason: moved to release)
ruby-standalone (0.4) unstable; urgency=medium


  * Change Gem.user_dir to $HOME/.ruby-standalone/gems/ruby/$RUBYVERSION so
    stuff installed without ruby-standalone does not clash with stuff
    installed with it.
    .
    In special, this handles the case where something was installed without
    ruby-standalone and used Debian packages to satisfy dependencies, but when
    you switch to ruby-standalone that dependency will be missing and the
    package will be effectively broken.
  * ruby-standalone: export RUBY_STANDALONE. This is useful for usage in shell
    prompts etc.
  * remove debian/po; debian/templates has been removed in 0.2 when I "backed
    down on the idea of suggesting to create symlinks in /usr/local/bin" (via
    debconf). Having debian/po/ in the source package wastes time of our
    translators who will think those translations are actually used.
    Closes: #771642

 -- Antonio Terceiro <email address hidden>  Mon, 01 Dec 2014 13:35:09 -0200

Available diffs

0.3
Superseded in vivid-release on 2014-12-02
Deleted in vivid-proposed on 2014-12-03 (Reason: moved to release)
ruby-standalone (0.3) unstable; urgency=medium


  * add a `rake` binary, to run the rake included with Ruby.

 -- Antonio Terceiro <email address hidden>  Mon, 20 Oct 2014 18:42:42 -0200
115 of 15 results